<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>

<xsl:template match="/sm:textXhtmlTransf">
<xsl:copy>
<xsl:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl:attribute>
<xsl:attribute name="xmlns:sm">http://www.utc.fr/ics/scenari/v3/modeling</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>

<xsl:template match="/sma:assmntGapInTextDhtmlTransf">
<xsl:copy>
<xsl:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl:attribute>
<xsl:attribute name="xmlns:sm">http://www.utc.fr/ics/scenari/v3/modeling</xsl:attribute>
<xsl:attribute name="xmlns:sma">kelis.fr:scenari/modeling/assessment</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>

	
<xsl:template match="sm:inlineImgTag[not(descendant::sm:callSubModel)]">
<xsl:copy>
<xsl:apply-templates select="@*"/>
<xsl:choose>
<xsl:when test="sm:Widget">
<xsl:apply-templates select="node()"/>
</xsl:when>
<xsl:otherwise>
<sm:callSubModel>
<xsl:if test="@axis">
<xsl:attribute name="axis"><xsl:value-of select="@axis"/></xsl:attribute>
</xsl:if>
</sm:callSubModel>
</xsl:otherwise>
</xsl:choose>
</xsl:copy>
</xsl:template>
<xsl:template match="sm:inlineImgTag/@axis"/>
<xsl:template match="sm:Widget[ancestor::sm:inlineImgTag][not(descendant::sm:callSubModel)]">
<xsl:copy>
<xsl:apply-templates select="@*"/>
<sm:xhtmlContentZone>
<sm:callSubModel>
<xsl:if test="ancestor::sm:inlineImgTag/@axis">
<xsl:attribute name="axis"><xsl:value-of select="ancestor::sm:inlineImgTag/@axis"/></xsl:attribute>
</xsl:if>
</sm:callSubModel>
</sm:xhtmlContentZone>
</xsl:copy>
</xsl:template>

	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
