<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl:attribute>
<xsl:attribute name="xmlns:sm">http://www.utc.fr/ics/scenari/v3/modeling</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>

	
<xsl:template match="@openOfficeVersion">
<xsl:attribute name="openDocumentEditor">
<xsl:choose>
<xsl:when test=".='3.x'">OO3.x</xsl:when>
<xsl:when test=".='2.x'">OO2.x</xsl:when>
<xsl:otherwise><xsl:value-of select="."/></xsl:otherwise>
</xsl:choose>
</xsl:attribute>
</xsl:template>

	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
